Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1840622

Summary: Review Request: golang-github-tomnomnom-rawhttp - Making HTTP requests with complete control
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-06 01:02:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1840628    

Description Fabian Affolter 2020-05-27 10:46:34 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-tomnomnom-rawhttp.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-tomnomnom-rawhttp-0-0.1.20200527gite904eb0.fc31.src.rpm

Project URL: https://github.com/tomnomnom/rawhttp

Description:
A Go library for making HTTP requests with complete control.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=45066114

rpmlint output:
$ rpmlint golang-github-tomnomnom-rawhttp-0-0.1.20200527gite904eb0.fc31.src.rpm 
golang-github-tomnomnom-rawhttp.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint golang-github-tomnomnom-rawhttp-devel-0-0.1.20200527gite904eb0.fc31.noarch.rpm 
golang-github-tomnomnom-rawhttp-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/tomnomnom/rawhttp/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-26 11:16:29 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-26 14:03:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-tomnomnom-rawhttp

Comment 3 Fedora Update System 2020-06-27 21:02:52 UTC
FEDORA-2020-2731fff763 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2731fff763

Comment 4 Fedora Update System 2020-06-28 01:10:28 UTC
FEDORA-2020-2731fff763 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-2731fff763 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2731fff763

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-07-06 01:02:18 UTC
FEDORA-2020-2731fff763 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.